import { Button, Form, Input, InputNumber } from 'antd';
import { FieldType } from '../Interfaces/Stock';

type TProps = {
    onFinish: ((values: FieldType) => void) | undefined
}

const StockForm = ({onFinish}: TProps) => {
  return (
    <Form
        name="basic"
        labelCol={{ span: 8 }}
        wrapperCol={{ span: 16 }}
        style={{ width: 300 }}
        initialValues={{ remember: true }}
        onFinish={onFinish}
        autoComplete="off"
    >
        <Form.Item<FieldType>
            label="Title"
            name="title"
            rules={[{ required: true, message: 'Please input your title!' }]}
        >
            <Input />
        </Form.Item>

        <Form.Item<FieldType>
            label="Price"
            name="price"
        >
            <InputNumber />
        </Form.Item>

        <Form.Item<FieldType>
            label="Count"
            name="count"
        >
            <InputNumber />
        </Form.Item>

        <Form.Item label={null}>
            <Button type="primary" htmlType="submit">
                Submit
            </Button>
        </Form.Item>
    </Form>
  )
}

export default StockForm